*,
*::before,
*::after {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}
:root {
  --Teal-500: hsl(179, 62%, 43%);
  --Green--400: hsl(71, 73%, 54%);
  --Teal-100: hsl(204, 43%, 93%);
  --Gray-500: hsl(218, 22%, 67%);
  --blue: #4abebd;
}
body {
  height: 100vh;
  font-family: "Karla", "sans-serif";
  background-color: var(--Teal-100);
  display: flex;
  flex-direction: column;
  padding: 2rem;
}
main {
  flex: 1 0 0;
  display: flex;
  align-items: center;
  justify-content: center;
}
section {
  display: grid;
  grid-template-areas:
    "join join join join"
    "join join join join"
    "price price why why"
    "price price why why";
  width: 60%;
}
.join,
.sub,
.why {
  padding: 2rem;
}
.join {
  width: 100%;
  grid-area: join;
  background-color: white;
  display: flex;
  flex-direction: column;
  border-top-left-radius: 0.8rem;
  border-top-right-radius: 0.8rem;
  gap: 1.4rem;
}
.join h1 {
  color: var(--Teal-500);
  font-size: 1.7rem;
}
.description {
  color: var(--Gray-500);
  line-height: 1.7;
}
.green {
  color: var(--Green--400);
  font-weight: 600;
}

.sub {
  grid-area: price;
  background-color: var(--Teal-500);
  display: flex;
  flex-direction: column;
  gap: 1rem;
  border-bottom-left-radius: 0.8rem;
  color: white;
}

p,
span {
  flex: 1 0 0;
}
.price {
  font-size: 3rem;
}
.transparent {
  filter: opacity(0.7);
}
.grow {
  font-weight: 500;
  font-size: 1.2rem;
}
button {
  padding: 1rem 1.4rem;
  border: none;
  outline: none;
  color: white;
  background-color: var(--Green--400);
  font-size: 1.2rem;
  font-weight: bold;
  border-radius: 10px;
  cursor: pointer;
}
button:hover {
  transition: background-color 1.2s ease;
  background-color: chartreuse;
}
button:active {
  transition: transform 0.2s ease;
  transform: translateY(2px);
}
/*Done*/
.why {
  grid-area: why;
  background-color: var(--blue);
  display: flex;
  flex-direction: column;
  gap: 1rem;
  color: white;
  font-weight: 400;
  border-bottom-right-radius: 0.8rem;
}

.why ul {
  list-style: none;
  line-height: 1.6;
  filter: opacity(0.5);
}
footer {
  font-size: 2rem;
  font-weight: bold;
}
@media (max-width: 1200px) {
  section {
    width: 100%;
  }
}
@media (max-width: 699px) {
  body {
    padding: 1.2rem 1rem;
    gap: 2rem;
  }
  section {
    display: flex;
    flex-direction: column;
  }
  footer {
    margin-bottom: 2rem;
  }
  .join,
  .sub,
  .why {
    border-radius: 0px;
  }
  .join {
    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
  }
  .why {
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
  }
}
